A Testing ISO For Trisquel 11

19 réponses [Dernière contribution]
jxself
Hors ligne
A rejoint: 09/13/2010

A test ISO for Trisquel 11 ("Aramo") is on https://cdbuilds.trisquel.org/

GNUser
Hors ligne
A rejoint: 07/17/2013

Hooray!!!
Always great news to see Trisquel future looking brighter than before :D

Not that I will be able to test it, I need stable versions on my machine, but it's great news.

Avron
Hors ligne
A rejoint: 08/18/2020

What install option would you suggest trying?

Does it matter whether the computer is using BIOS, UEFI or Libreboot grub to boot?

Geshmy
Hors ligne
A rejoint: 04/23/2015

I burned the iso last night.

One question is what do I do with the keyring file? I haven’t used that yet. I just ran the sha256sum process to verify I received what the server had.

I haven’t installed yet but have really enjoyed the live distro this morning.

I had to mount my hard drive via command line and use Advanced Network Configuration to hook up to the network as my setup doesn’t use dhcp.

I shutoff some unnecessary services:
dundee.service, ofono.service, bluetooth.service, avahi-daemon.service

I used vlc to watch a video and saved a snapshot.
Opened the snapshot in GIMP and made a wallpaper.

Used RhythmBox to tune in to WSUM 91.7 FM (University of Wisconsin) and tuned in in time to hear Bob Dylan singing ‘Lay Lady, Lay across my big brass bed..,’ wow, my sentiments exactly!

Used Document Scanner. It picked up my HP OfficeJet 3830 series no problem and I scanned and printed a document successfully.

Also yewtubed to get some other music videos: https://yewtu.be/

I used LibreOffice Writer, Color Picker, Viewnoir, Mate Search, Mate Dictionary and Pluma

I see KdenLive is available via synaptic. I have recently been using slowmo and avidemux which aren't. I thing I got avidemux via guix before. If I install I'll try andyprough's instructions for installing guix. https://trisquel.info/en/forum/installing-guix-trisquel-10-w-luakit-and-ungoogled-chromium

I noticed firewalld isn’t installed and running by default but is available in the repository.

Though it took a long time to boot into the Live mode (not really unusual on this PC), once it was loaded, it was flawless and snappy. Overall, seems really nicely polished. So what is the time line for actual release. Are the packages available right now similar to what 10 has?

amenex
Hors ligne
A rejoint: 01/04/2015

Not so fortunate ... the .ISO got burned OK; takes about an hour to start and install TQ_11_testing.

Got a couple of error messages:
"No caching mode page found"
and "assuming drive cache write through" in a few pairs; then
"failed to start CUPS scheduler"

But the local WiFi and Think Penguin's firmware weren't detected so nothing got
downloaded during installation.
Fatal error message:
The "grub-efi.amd64" packagefailed to install into /target/. Without the GRUB loader, the
installed system will not boot.

Upon shutdown and then restart, the grub menu came up without the TQ_11 operating system, but
apps featherpad and GPartEd had been lost from the TQ_10 operating system. Still no WiFi.

In order to make room for the TQ_11_testing operating system, I shrank a large data partition, then created
a 30GB ext4 partition for TQ_11_testing, and formed another ext4 data partition in the remaining space,
all with GPartEd. The partition holding TQ_10_nabia wasn't touched by these operations.

knife

I am a member!

Hors ligne
A rejoint: 01/02/2019

The Live ISO is working here.
I installed in textmode and got this issue here solved https://trisquel.info/en/forum/trisquel10-skips-grub-menu
The second problem: tasksel is not working (I tried to select "Trisquel desktop environment" and/or "Trisquel mini environment") If I select nothing the installation can be finished. If i run sudo tasksel after installation and choose this two points like i wrote above it gives me
tasksel: Aptitude failed (100)
sudo tasksel install trisquel-desktop-common gives me the notice that it depends on hplip, but can't be installed. hplip depends on printer-driver-hpcups (= 3.21.2+dfsgi-2+9.0trisquel1), but 3.17.10+repack0-5+9.0trisquel1 should be installed

Ark74

I am a member!

I am a translator!

Hors ligne
A rejoint: 07/15/2009

Could you be more specific on how did you installed?

Trisquel 11.0, should not ask for etiona packages (3.21.2+dfsgi-2+9.0trisquel1), note the 9.0 on the name.

AFAICT, tasksel should work on a clean install.

knife

I am a member!

Hors ligne
A rejoint: 01/02/2019

Thanks for answering, now i see. I got etiona in /etc/apt/sources.list but i didn't changed the file by hand.

Ark74

I am a member!

I am a translator!

Hors ligne
A rejoint: 07/15/2009

Please avoid the text installer, as the text installer it is not yet ready for t11.
I asume a previous release text installer it's been used to fill out the gap.

Regards.

gnulinux
Hors ligne
A rejoint: 02/19/2022

Bravo, can't wait for new release.

Malsasa
Hors ligne
A rejoint: 12/01/2016

Thanks Trisquel Developers, cannot wait to test it out.

Sincerely yours,

Malsasa

knife

I am a member!

Hors ligne
A rejoint: 01/02/2019

Hi, I used the graphical installer on my notebook and choosed german as language and took a photo with my camera of it, because I first thought the text broke up before the sentence ends. See picture 2.
After that, I took a screenshot and opened it on my second pc. As you can see there, on picture 1 (in case your screen is better than mine on my notebook) there is a very, very light scrollbar (which is better to see when you are moving the mouse pointer over it), which is first not visible on picture 2, and I also cant see it with my eyes no matter in which degree I look on the notebook screen.

Maybe this can be solved with another theme.

The second thing: in german "Fehler"(german word for bug) must always be written with a big "F", not "fehler" as you can see on these pictures.

I wish the developers all the best, I stay tuned.

Screenshot at 2022-07-28 15-43-32.png P1010336.JPG
Avron
Hors ligne
A rejoint: 08/18/2020

I also just installed in on my D8. After some error, it starts Trisquel 11 and I used the "install Trisquel 11" icon (same as Trisquel 10 because libreboot/coreboot on D8 does not support graphic mode at start).

Some observations:
- in the installation, after selecting the language, the list of keyboard layout is in English only
- in the installation, for the detection of the keyboard, the menus are in the selected language but "Yes" / "No" is in English
- during the installation and after, the computer is trying to contact is mirror.operationtulip.com, which does not answer, so it take very long time and it does not work. After reboot, there is a message (in French) saying installation of languages is incomplete but when telling to do it, it fails, probably because of the mirror.
- default grub option is not to show the boot menu, so I can't select other distro installed that os-prober has installed. Of course, I know how to fix that, but I find that it is not very nice to hide the grub menu.

Should I switch to default mirror?

I'll see if Trisquel 11 is more stable than Trisquel 10 on my D8 (rather frequent freeze after general protection fault with stack showing nouveau).

EDIT: I switched to the main site, after update, things are much better.

EDIT2: trisquel-app-install crashes a few seconds after start, I created an issue with the terminal output explaining the error.

Ark74

I am a member!

I am a translator!

Hors ligne
A rejoint: 07/15/2009

Indeed I've experienced the issue about English taking over any other keyboard layout, still to be investigated.

Please note that this ISO is a POC, aramo is still on very early stages of development and it's not recommended yet for daily usage. Some trisquel packages are still on hold, some other are to be redesign.

Please join the gitalb issue tracker and report findings there, so they get the correct follow up.

Cheers.

Ark74

I am a member!

I am a translator!

Hors ligne
A rejoint: 07/15/2009

Hello knife,

> there is a very, very light scrollbar (which is better to see when you are moving the mouse pointer over it), which is first not visible on picture 2

Now I understand what you mean about the theme, and yes, it's not visible, but I would argue the original design expects that if the user wants to keep reading it will try to scroll then the scroll bar should be more "visible" on mouse hovering.

I agree it might not be the best behavior, but the priority on such details might be a lesser one on current state of development.

About the misspelling, I'll take a note on that, also I'd like to do a general invitation for users who want a new l10n land for the trisquel installer sliders join the devel mailing list or IRC #trisquel-dev so the work can be articulated on those channels.

Cheers!

Avron
Hors ligne
A rejoint: 08/18/2020

In aramo, here is what I have when I try to install evolution:


$ LC_ALL=C sudo apt install evolution
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
evolution-data-server : Depends: libcamel-1.2-63 (= 3.44.0-2) but 3.44.2-0ubuntu1 is to be installed
Depends: libebackend-1.2-10 (= 3.44.0-2) but it is not going to be installed
Depends: libedata-book-1.2-26 (>= 3.43.2) but it is not going to be installed
Depends: libedata-cal-2.0-1 (>= 3.26.2) but it is not going to be installed
Depends: libedataserver-1.2-26 (= 3.44.0-2) but 3.44.2-0ubuntu1 is to be installed
libebook-1.2-20 : Depends: libedata-book-1.2-26 (>= 3.43.2) but it is not going to be installed
Depends: libedataserver-1.2-26 (= 3.44.0-2) but 3.44.2-0ubuntu1 is to be installed
libebook-contacts-1.2-3 : Depends: libedataserver-1.2-26 (= 3.44.0-2) but 3.44.2-0ubuntu1 is to be installed
libedataserverui-1.2-3 : Depends: libedataserver-1.2-26 (= 3.44.0-2) but 3.44.2-0ubuntu1 is to be installed
E: Unable to correct problems, you have held broken packages.
$

Does it mean aramo is missing some packages?

Ark74

I am a member!

I am a translator!

Hors ligne
A rejoint: 07/15/2009

Hmmm, interesting.

The packages are there, seems to be some update/change upstream did that and might have broken some dependencies.

Since the packages are there, you might want to try, sudo aptitude install evolution

That might resolve much more complex scenarios than apt can't or at least give more information on the matter.

Cheers!

Avron
Hors ligne
A rejoint: 08/18/2020

This worked after rejecting the first proposals, see log attached.

I wanted to install emacs (even for a non-programmer, it does very convenient things that other editors won't do, like rectangle area cut/copy/paste) but there is no package called "emacs".

I noticed "xemacs21" but I am not sure it is the same. I remember from a long time ago that it had extra fancy things that I did not like.

My current plan is to try using aramo as the default system on my desktop and see how it goes. Then I can report issues when they come, but apart from the missing emacs, so far it does all the things I need.

Fichier attachéTaille
2022-07-29-install-evolution.log 11.93 Ko
Ark74

I am a member!

I am a translator!

Hors ligne
A rejoint: 07/15/2009

Yes indeed, there is an issue with emacs that prevents building it.

Only emacs and psensor have that issue currently.
Cheers.

Avron
Hors ligne
A rejoint: 08/18/2020

When I edit the main menu, it occurs that the window suddenly disappears and I noticed that in syslog:

juil. 31 14:47:46 albert kernel: mozo[11815]: segfault at 0 ip 00007f99d8178747 sp 00007ffe94002108 error 6 in libmate-menu.so.2.4.9[7f99d8175000+d000]
juil. 31 14:47:46 albert kernel: Code: da fe ff ff e8 5a d9 ff ff 66 2e 0f 1f 84 00 00 00 00 00 f3 0f 1e fa 48 89 f8 f0 83 07 01 c3 0f 1f 40 00 f3 0f 1e fa 48 89 f8 83 07 01 c3 0f 1f 40 00 f3 0f 1e fa f0 83 2f 01 74 06 c3 0f 1f

Besides, my computer froze shortly after I installed and started déjà dup, but there is nothing visible in logs.

I tried Ctrl+Alt+F2, then Alt+SysReq+r, then again Ctlr+Alt+F2 (nothing happens), then Alt+SysReq+s, then Alt+SysReq+r, it rebooted and logs show the sync and reboot sysreq, but nothing else before the reboot.

Of course, this gives me a bad feeling, Trisquel 10 was not stable on this computer. If Trisquel 11 is equally unstable on it, I'll go back to Debian and try Trisquel 11 on another computer.

EDIT: there are quite a few segfaults in logs:

$ grep segfault syslog
Jul 31 10:58:46 albert kernel: [ 8042.053457] DownloadThread[7165]: segfault at 58 ip 00007ff60474cd9b sp 00007ff60245c878 error 4 in libcrypto.so.3[7ff604652000+25d000]
Jul 31 14:47:46 albert kernel: [21782.426654] mozo[11815]: segfault at 0 ip 00007f99d8178747 sp 00007ffe94002108 error 6 in libmate-menu.so.2.4.9[7f99d8175000+d000]
$ grep segfault syslog.1
Jul 28 18:33:17 albert kernel: [ 793.576180] barriers[3092]: segfault at 0 ip 000055f95248feda sp 00007ff8d5ba6d30 error 4 in barriers[55f952478000+72000]
Jul 28 22:17:00 albert kernel: [14217.309831] ayatana-indicat[3538]: segfault at 50 ip 00007f7df8859809 sp 00007ffc950d6270 error 4 in libgobject-2.0.so.0.7200.1[7f7df882f000+33000]
Jul 28 22:17:01 albert kernel: [14217.365105] lightdm[3189]: segfault at 7feab81c8d58 ip 00007feab906621a sp 00007ffd435b3850 error 4 in ld-linux-x86-64.so.2[7feab9062000+2a000]
Jul 28 22:17:01 albert kernel: [14217.368215] barriers[3708]: segfault at 0 ip 000055b492cd3eda sp 00007f06bee4ed30 error 4 in barriers[55b492cbc000+72000]
Jul 29 21:40:18 albert kernel: [ 9482.717645] mozo[5136]: segfault at 0 ip 00007f5da9d38747 sp 00007ffc38e77b68 error 6 in libmate-menu.so.2.4.9[7f5da9d35000+d000]
Jul 29 21:44:46 albert kernel: [ 9750.627778] mozo[5179]: segfault at 0 ip 00007f6b8d6b0747 sp 00007ffcfe9883f8 error 6 in libmate-menu.so.2.4.9[7f6b8d6ad000+d000]
Jul 30 14:08:21 albert kernel: [ 3232.113768] evolution-sourc[2456]: segfault at 20 ip 0000000000000020 sp 00007ffeaf7d5598 error 14 in evolution-source-registry[562c64cbb000+5000]